package com.kingdee.eas.custom.recuritment.task.osf.database;

public enum HRPoliticalEnum {
    POLITICAL_1("01","中共党员","1","中共党员"),
    POLITICAL_2("02","中共党员","6","中共预备党员"),
    POLITICAL_3("03","共青团员","2","共青团员"),
    POLITICAL_4("04","民革会员","7","民革党员"),
    POLITICAL_5("05","民盟盟员","8","民盟盟员"),
    POLITICAL_6("06","民建会员","9","民建会员"),
    POLITICAL_7("07","民建会员","10","民进会员"),
    POLITICAL_8("08","农工党员","11","农工党党员"),
    POLITICAL_9("07","致公党员","12","致公党党员"),
    POLITICAL_10("10","九三社员","13","九三学社社员"),
    POLITICAL_11("11","台盟会员","14","台盟盟员"),
    POLITICAL_12("12","无党派","15","无党派人士"),
    POLITICAL_13("13","群众","7","群众"),
    POLITICAL_14("14","民主党派","5","其他"),
    ;

    private final String key;
    private final String value;

    private final String beisenKey;
    private final String beisenValue;

    public String getBeisenKey() {
        return beisenKey;
    }

    public String getBeisenValue() {
        return beisenValue;
    }

    public String getKey() {
        return key;
    }
    public String getValue() {
        return value;
    }

    HRPoliticalEnum(String key, String value, String beisenKey, String beisenValue) {
        this.key = key;
        this.value = value;
        this.beisenKey = beisenKey;
        this.beisenValue = beisenValue;
    }
    public static HRPoliticalEnum getByKey(String key){
        HRPoliticalEnum propertyEnum=null;
        for(HRPoliticalEnum e : HRPoliticalEnum.values()){
            if(e.getKey().equals(key)){
                propertyEnum = e;
                break;
            }
        }
        return propertyEnum;
    }
    public static HRPoliticalEnum getBeisenKey(String beisenKey){
        HRPoliticalEnum propertyEnum=null;
        for(HRPoliticalEnum e : HRPoliticalEnum.values()){
            if(e.getBeisenKey().equals(beisenKey)){
                propertyEnum = e;
                break;
            }
        }
        return propertyEnum;
    }
}
